package com.fs.qw.domain;

import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

@Data
public class QwUpload implements Serializable {
    private MultipartFile file; // 二进制文件内容
    private Integer fileType; // 文件类型：2图片；4视频；5文件
    private Long fileSize; // 文件大小，单位：字节

    public Map<String,Object> toMap(){
        Map<String,Object> map = new HashMap<>();
        map.put("file",file);
        map.put("fileType",fileType);
        map.put("fileSize",fileSize);
        return map;
    }
}
